This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446617 - pkgupload times out when large rpms have already been rejected by the server due to header content
pkgupload times out when large rpms have already been rejected by the server ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
:
Depends On:
Blocks: 210122 446437
  Show dependency treegraph
 
Reported: 2008-05-15 08:12 EDT by James Bowes
Modified: 2013-01-10 04:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-05-15 08:12:25 EDT
For a large package that already exists on the server, RHN will reply saying
that the package already exists, but the client will continue to push the
package up. If the upload finishes before the server closes the connection, then
the client can read the return code. If not, then the client will get a pipe
error or peer closed the connection error. The fix for this is to not do any
processing on the package until it is fully uploaded, so we don't return a
result until the client is ready.
Comment 1 James Bowes 2008-05-15 08:24:21 EDT
Testing this is pretty easy:
 * Find a really big rpm that isn't already in RHN (openoffice.org-base from
rawhide is a good choice)
  * run rhn-pkgupload to upload this package to rhn
    This should work
  * now, run it again
    the rpm should transfer, then you should see a message saying the package   
    already exists.
    before, the transfer would timeout midway, and you'd get a traceback.
Comment 2 Amy Owens 2008-05-19 10:41:25 EDT
jbowes-- I get a package to upload-- it returns with Ok but when I upload it
again the log says it finds it already exists but then just hangs
Comment 3 Amy Owens 2008-05-20 11:37:26 EDT
working now... rhn-pkgupload http://scripts.back-webdev.redhat.com/PKG-UPLOAD
/home/aowens/openoffice.org-core-2.4.0-12.8.fc9.i386.rpm
751f60ed0c21ee50527e64bc02fbd7a8: openoffice.org-core-2.4.0-12.8.fc9.i386.rpm
already uploaded
Comment 4 Grant Gainey 2008-06-13 14:32:23 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.